Page MenuHomePhabricator

[CMake] Copy the generated __config header into build directory
ClosedPublic

Authored by phosek on Feb 26 2018, 5:44 PM.

Details

Summary

When the generated config file is being used, it is currently only
copied during installation process. However, that means that the file
that gets copied into LLVM build directory is the vanilla
config file,
and any parts of the build that depend on the just built toolchain like
sanitizers will get that instead of the generated version. To avoid this
issue, we need to copy the generated header into the LLVM build
directory as well.

Diff Detail

Repository
rL LLVM

Event Timeline

phosek created this revision.Feb 26 2018, 5:44 PM
phosek added a comment.Mar 1 2018, 5:35 PM

Ping? Can we land this as a temporary solution until the config generator logic is rewritten? This is currently breaking the libFuzzer build for us.

phosek added a comment.Mar 6 2018, 2:12 PM

Ping again?

compnerd accepted this revision.Mar 9 2018, 2:37 PM
compnerd added a subscriber: compnerd.
compnerd added inline comments.
libcxx/include/CMakeLists.txt
19 ↗(On Diff #136015)

Where is generated_config_deps used?

This revision is now accepted and ready to land.Mar 9 2018, 2:37 PM
phosek added inline comments.Mar 9 2018, 2:47 PM
libcxx/include/CMakeLists.txt
19 ↗(On Diff #136015)

Line 69

This revision was automatically updated to reflect the committed changes.